// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import { SubresourceFilterInternalsHandler, SubresourceFilterInternalsObserverCallbackRouter } from './subresource_filter_internals.mojom-webui.js';
export class BrowserProxy {
    handler;
    callbackRouter;
    constructor() {
        this.handler = SubresourceFilterInternalsHandler.getRemote();
        this.callbackRouter =
            new SubresourceFilterInternalsObserverCallbackRouter();
    }
    static getInstance() {
        return instance || (instance = new BrowserProxy());
    }
    static setInstance(obj) {
        instance = obj;
    }
}
let instance = null;
